Skip site navigation (1)Skip section navigation (2)
Date:      Fri, 4 Jul 1997 09:10:03 -0500 (EST)
From:      John Fieber <jfieber@indiana.edu>
To:        questions@freebsd.org
Subject:   Solaris unhappy with mountd -2
Message-ID:  <Pine.BSF.3.96.970704085539.308A-100000@fallout.campusview.indiana.edu>

Next in thread | Raw E-Mail | Index | Archive | Help
Because of nfsv3 interoperability problems with both Digital Unix
(4.0) and Solaris, I want to force my FreeBSD box to only allow
v2 connections.  With the -2 option for mountd, Digital Unix is
perfectly happy, but Solaris is responding with:

  server not responding: RPC: Program/version mismatch

The catch is that I have to depend on the automounter on the
Solaris box so I can't explicitly tell mount_nfs anything.

I'm running 2.2.2 with a recent RELENG_2_2 kernel and lkms.

Can an nfs wizard speculate about which end of the connection is
being problematic here?

-john




Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?Pine.BSF.3.96.970704085539.308A-100000>